summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorTom Wadley2017-12-12 16:25:31 -0600
committerTom Wadley2017-12-12 16:25:31 -0600
commit64da123d6d3f614201197c88b7649935b1447cb8 (patch)
treea77ff40ebaee431494e84d648f8b08db0665829f
parent6d826c54355bafc6cec187c9c46e8b139abbe756 (diff)
downloadaur-64da123d6d3f614201197c88b7649935b1447cb8.tar.gz
Script to automate some of the package upgrade process
-rwxr-xr-xupdate.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/update.sh b/update.sh
new file mode 100755
index 00000000000..85f82f473e7
--- /dev/null
+++ b/update.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+if (( $# != 1 )); then
+ echo "Usage: $0 VERSION"
+ echo "Update pkgver to VERSION and then build and commit."
+ echo "You just need to test the package, review the commit and push."
+ exit 1
+fi
+
+VERSION=$1
+
+set -x
+
+sed -i "s/^pkgver=.*\$/pkgver=${VERSION}/" PKGBUILD
+updpkgsums
+mksrcinfo
+git add .
+git commit -m "Upgrade to v${VERSION}"
+makepkg
+sudo pacman -U nvm-${VERSION}-1-any.pkg.tar.xz
+
+set +x
+
+echo "Now smoke test the package, review the commit, and push"